Create parking zone
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/parking-zones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalCapacity": 123,
"color": "<string>",
"isActive": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
additionalCapacity: 123,
color: '<string>',
isActive: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/parking-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-zones"
payload = {
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalCapacity": 123,
"color": "<string>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"additionalCapacity": 123,
"color": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Parking zones
Create parking zone
Requires write:parking.
POST
/
api
/
v1
/
parking-zones
Create parking zone
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/parking-zones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalCapacity": 123,
"color": "<string>",
"isActive": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
additionalCapacity: 123,
color: '<string>',
isActive: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/parking-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/parking-zones"
payload = {
"name": "<string>",
"description": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalCapacity": 123,
"color": "<string>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"additionalCapacity": 123,
"color": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I